Update task schedule.

PUT
/api/v2/tasks/{taskId}/schedules/{taskScheduleId}

Updates an existing task schedule. Returns the updated task schedule.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

taskId*string

The unique identifier of the task

Formatuuid
taskScheduleId*string

The unique identifier of the task schedule to update

Formatuuid

Request Body

application/json

The task schedule data.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "timeZone": "string",    "startDate": "2019-08-24T14:15:22Z",    "endDate": "2019-08-24T14:15:22Z"  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string"}